Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2005:014: squid


Vulnerability Assessment Details

MDKSA-2005:014: squid

Vulnerability Assessment Summary
Check for the version of the squid package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2005:014 (squid).



'infamous41md' discovered two vulnerabilities in the squid proxy cache server.
The first is a buffer overflow in the Gopher response parser which leads to
memory corruption and would usually crash squid (CVE-2005-0094). The second is
an integer overflow in the receiver of WCCP (Web Cache Communication Protocol)
messages. A possible hacker could send a specially crafted UDP datagram that would
cause squid to crash (CVE-2005-0095).

The updated packages have been patched to prevent these problems.



Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2005:014
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Tenable Network Security

Cables, Connectors

Linux Fedora "SERVER" - X86,64 Bit 26.1.5 DVD
$4.95
Linux Fedora Red Hat Enterprise Linux AS Advanced Server Version 4 Intel 32 64 Bit Sealed
$24.99
Red Hat Enterprise Linux AS Advanced Server Version 4 Intel 32 64 Bit Sealed pictureUbuntu Linux OS Live USB Bootable Flash Drive Operating System Installer
$9.99
Ubuntu Linux OS Live USB Bootable Flash Drive Operating System Installer pictureUbuntu Linux OS Live USB Bootable Flash Drive Operating System Installer
$9.99
Ubuntu Linux OS Live USB Bootable Flash Drive Operating System Installer picture


Discussions

No Discussions have been posted on this vulnerability.